Package org.bukkit.command

# Class CommandSender.Spigot

java.lang.Object
org.bukkit.command.CommandSender.Spigot

Direct Known Subclasses:
  `Entity.Spigot`

Enclosing interface:
  CommandSender

public static class CommandSender.Spigot extends Object

## Constructor Summary

Constructors
Constructor
Description
`Spigot()`

## Method Summary

Modifier and Type
Method
Description
`void`
`sendMessage(@NotNull net.md_5.bungee.api.chat.BaseComponent... components)`
Deprecated.
use `sendMessage` methods that accept `Component`
`void`
`sendMessage(@Nullable UUID sender, @NotNull net.md_5.bungee.api.chat.BaseComponent... components)`
Deprecated.
use `sendMessage` methods that accept `Component`
`void`
`sendMessage(@Nullable UUID sender, net.md_5.bungee.api.chat.BaseComponent component)`
Deprecated.
use `sendMessage` methods that accept `Component`
`void`
`sendMessage(net.md_5.bungee.api.chat.BaseComponent component)`
Deprecated.
use `sendMessage` methods that accept `Component`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spigot

public Spigot()

## Method Details

### sendMessage

@Deprecated public void sendMessage(@NotNull net.md_5.bungee.api.chat.BaseComponent component)
Deprecated.
use `sendMessage` methods that accept `Component`
Sends this sender a chat component.

Parameters:
  `component` - the components to send

### sendMessage

@Deprecated public void sendMessage(@NotNull @NotNull net.md_5.bungee.api.chat.BaseComponent... components)
Deprecated.
use `sendMessage` methods that accept `Component`
Sends an array of components as a single message to the sender.

Parameters:
  `components` - the components to send

### sendMessage

@Deprecated public void sendMessage(@Nullable @Nullable UUID sender, @NotNull net.md_5.bungee.api.chat.BaseComponent component)
Deprecated.
use `sendMessage` methods that accept `Component`
Sends this sender a chat component.

Parameters:
  `component` - the components to send
  `sender` - the sender of the message

### sendMessage

@Deprecated public void sendMessage(@Nullable @Nullable UUID sender, @NotNull @NotNull net.md_5.bungee.api.chat.BaseComponent... components)
Deprecated.
use `sendMessage` methods that accept `Component`
Sends an array of components as a single message to the sender.

Parameters:
  `components` - the components to send
  `sender` - the sender of the message